#ifndef MODELPART_HPP
#define MODELPART_HPP

#include <glm/ext/matrix_transform.hpp>

class ModelPart {
	GLuint vao, transUniform;

	GLuint tex[16];	//support 16 textures to switch between
	size_t texSelection = 0;

	glm::mat4 transMatrix = glm::mat4(1.0f);

	bool empty = true;
	
	public:
		ModelPart();

		ModelPart(const char* texPath, GLuint transUniformNum);

		void bindAndDraw();

		void setTransform(glm::vec2 position, float rotation, float scale);

		void addTexture(const char* texPath, size_t slot);

		void selectTexture(size_t slot);
};

#endif
